<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application;

use \Slim\App;
use Inforbank\Application\Helper\Header;
use Inforbank\Application\Helper\Rekeningen as RekeningHelper;

class Rekeningen
{
    public function __construct(App $app)
    {
        $app->get('/rekeningen', function ($request, $response, $args) {
            // Ophalen klant
            $rekeningen = RekeningHelper::getCurrentUserRekeningen();

            // Render index view
            return $this->renderer->render($response, 'index.phtml', [
                'header' => Header::getHeaderData(),
                'rekeningen' => $rekeningen
            ]);
        })->add(new Auth\Middleware());
    }
}
